[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [p2-dev] External upgrades

On Tue, Jul 14, 2009 at 10:49:07AM -0700, Ian Bull wrote:
> The director can be used for platform upgrades, however, 3.4 cannot be
> upgraded to 3.5.  (Some new things were added to the metadata that 3.4
> doesn't understand).  Having said that, you might be able to use a 3.5
> director to upgrade from 3.4 to 3.5.

I'd definitely be using the new director to do this, not the old one -
I don't need to do downloads at this point so there's no benefit to
*not* using the new one.  And if there's one thing I've learned about
upgrades, it's to avoid running the existing code as much as possible.
That way you have a way to fix bugs in the upgrader.

> Has anybody tried that?

I'd like to know too - but if no one has, I'll be giving it a try soon
:-)

Thanks for your help, Ian.

-- 
Daniel Jacobowitz
CodeSourcery